# GESVideoTransition

    GObject
        ╰──GInitiallyUnowned
            ╰──GESTimelineElement
                ╰──GESTrackElement
                    ╰──GESOperation
                        ╰──GESTransition
                            ╰──GESVideoTransition

### Members

`parent` (GESTransition) –
No description available

### Class structure

#### GESVideoTransitionClass

##### Fields

`parent_class` (GESTransitionClass) –

parent class

### GES.VideoTransitionClass

##### Attributes

`parent_class` (GES.TransitionClass) –

parent class

### GES.VideoTransitionClass

##### Attributes

`parent_class` (GES.TransitionClass) –

parent class

## GES.VideoTransition

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.TrackElement
                    ╰──GES.Operation
                        ╰──GES.Transition
                            ╰──GES.VideoTransition

### Members

`parent` (GES.Transition) –
No description available

## GES.VideoTransition

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.TrackElement
                    ╰──GES.Operation
                        ╰──GES.Transition
                            ╰──GES.VideoTransition

### Members

`parent` (GES.Transition) –
No description available

### Constructors

#### ges_video_transition_new

    GESVideoTransition *
    ges_video_transition_new ()

Returns –
No description available

#### GES.VideoTransition.prototype.new

    function GES.VideoTransition.prototype.new(): {
        // javascript wrapper for 'ges_video_transition_new'
    }

Returns (GES.VideoTransition) –
No description available

#### GES.VideoTransition.new

    def GES.VideoTransition.new ():
        #python wrapper for 'ges_video_transition_new'

Returns (GES.VideoTransition) –
No description available

### Methods

#### ges_video_transition_get_border

    gint
    ges_video_transition_get_border (GESVideoTransition * self)

Get the border property of self, this value represents the border width of the transition.

Parameters:

`self` –

The GESVideoTransition to get the border from

Returns –

The border values of self or -1 if not meaningful (this will happen when not using a smpte transition).

deprecated : 1.20: Use ges_timeline_element_get_child_property instead.

#### GES.VideoTransition.prototype.get_border

    function GES.VideoTransition.prototype.get_border(): {
        // javascript wrapper for 'ges_video_transition_get_border'
    }

Get the border property of self, this value represents the border width of the transition.

Parameters:

`self` (GES.VideoTransition) –

The GES.VideoTransition to get the border from

Returns (Number) –

The border values of self or -1 if not meaningful (this will happen when not using a smpte transition).

deprecated : 1.20: Use ges_timeline_element_get_child_property instead.

#### GES.VideoTransition.get_border

    def GES.VideoTransition.get_border (self):
        #python wrapper for 'ges_video_transition_get_border'

Get the border property of self, this value represents the border width of the transition.

Parameters:

`self` (GES.VideoTransition) –

The GES.VideoTransition to get the border from

Returns (int) –

The border values of self or -1 if not meaningful (this will happen when not using a smpte transition).

deprecated : 1.20: Use ges_timeline_element_get_child_property instead.

#### ges_video_transition_get_transition_type

    GESVideoStandardTransitionType
    ges_video_transition_get_transition_type (GESVideoTransition * trans)

Get the transition type used by trans.

Parameters:

`trans` –

a GESVideoTransition

Returns –

The transition type used by trans.

#### GES.VideoTransition.prototype.get_transition_type

    function GES.VideoTransition.prototype.get_transition_type(): {
        // javascript wrapper for 'ges_video_transition_get_transition_type'
    }

Get the transition type used by trans.

Parameters:

`trans` (GES.VideoTransition) –

a GES.VideoTransition

Returns (GES.VideoStandardTransitionType) –

The transition type used by trans.

#### GES.VideoTransition.get_transition_type

    def GES.VideoTransition.get_transition_type (self):
        #python wrapper for 'ges_video_transition_get_transition_type'

Get the transition type used by trans.

Parameters:

`trans` (GES.VideoTransition) –

a GES.VideoTransition

Returns (GES.VideoStandardTransitionType) –

The transition type used by trans.

#### ges_video_transition_is_inverted

    gboolean
    ges_video_transition_is_inverted (GESVideoTransition * self)

Get the invert property of self, this value represents the direction of the transition.

Parameters:

`self` –

The GESVideoTransition to get the inversion from

Returns –

The invert value of self

deprecated : 1.20: Use ges_timeline_element_get_child_property instead.

#### GES.VideoTransition.prototype.is_inverted

    function GES.VideoTransition.prototype.is_inverted(): {
        // javascript wrapper for 'ges_video_transition_is_inverted'
    }

Get the invert property of self, this value represents the direction of the transition.

Parameters:

`self` (GES.VideoTransition) –

The GES.VideoTransition to get the inversion from

Returns (Number) –

The invert value of self

deprecated : 1.20: Use ges_timeline_element_get_child_property instead.

#### GES.VideoTransition.is_inverted

    def GES.VideoTransition.is_inverted (self):
        #python wrapper for 'ges_video_transition_is_inverted'

Get the invert property of self, this value represents the direction of the transition.

Parameters:

`self` (GES.VideoTransition) –

The GES.VideoTransition to get the inversion from

Returns (bool) –

The invert value of self

deprecated : 1.20: Use ges_timeline_element_get_child_property instead.

#### ges_video_transition_set_border

    ges_video_transition_set_border (GESVideoTransition * self,
                                     guint value)

Set the border property of self, this value represents the border width of the transition. In case this value does not make sense for the current transition type, it is cached for later use.

Parameters:

`self` –

The GESVideoTransition to set the border to

`value` –

The value of the border to set on object

deprecated : 1.20: Use ges_timeline_element_set_child_property instead.

#### GES.VideoTransition.prototype.set_border

    function GES.VideoTransition.prototype.set_border(value: Number): {
        // javascript wrapper for 'ges_video_transition_set_border'
    }

Set the border property of self, this value represents the border width of the transition. In case this value does not make sense for the current transition type, it is cached for later use.

Parameters:

`self` (GES.VideoTransition) –

The GES.VideoTransition to set the border to

`value` (Number) –

The value of the border to set on object

deprecated : 1.20: Use ges_timeline_element_set_child_property instead.

#### GES.VideoTransition.set_border

    def GES.VideoTransition.set_border (self, value):
        #python wrapper for 'ges_video_transition_set_border'

Set the border property of self, this value represents the border width of the transition. In case this value does not make sense for the current transition type, it is cached for later use.

Parameters:

`self` (GES.VideoTransition) –

The GES.VideoTransition to set the border to

`value` (int) –

The value of the border to set on object

deprecated : 1.20: Use ges_timeline_element_set_child_property instead.

#### ges_video_transition_set_inverted

    ges_video_transition_set_inverted (GESVideoTransition * self,
                                       gboolean inverted)

Set the invert property of self, this value represents the direction of the transition. In case this value does not make sense for the current transition type, it is cached for later use.

Parameters:

`self` –

The GESVideoTransition to set invert on

`inverted` –

TRUE if the transition should be inverted FALSE otherwise

deprecated : 1.20: Use ges_timeline_element_set_child_property instead.

#### GES.VideoTransition.prototype.set_inverted

    function GES.VideoTransition.prototype.set_inverted(inverted: Number): {
        // javascript wrapper for 'ges_video_transition_set_inverted'
    }

Set the invert property of self, this value represents the direction of the transition. In case this value does not make sense for the current transition type, it is cached for later use.

Parameters:

`self` (GES.VideoTransition) –

The GES.VideoTransition to set invert on

`inverted` (Number) –

TRUE if the transition should be inverted FALSE otherwise

deprecated : 1.20: Use ges_timeline_element_set_child_property instead.

#### GES.VideoTransition.set_inverted

    def GES.VideoTransition.set_inverted (self, inverted):
        #python wrapper for 'ges_video_transition_set_inverted'

Set the invert property of self, this value represents the direction of the transition. In case this value does not make sense for the current transition type, it is cached for later use.

Parameters:

`self` (GES.VideoTransition) –

The GES.VideoTransition to set invert on

`inverted` (bool) –

TRUE if the transition should be inverted FALSE otherwise

deprecated : 1.20: Use ges_timeline_element_set_child_property instead.

#### ges_video_transition_set_transition_type

    gboolean
    ges_video_transition_set_transition_type (GESVideoTransition * self,
                                              GESVideoStandardTransitionType type)

Sets the transition being used to type.

Parameters:

`self` –

a GESVideoTransition

`type` –

a GESVideoStandardTransitionType

Returns –

TRUE if the transition type was properly changed, else FALSE.

#### GES.VideoTransition.prototype.set_transition_type

    function GES.VideoTransition.prototype.set_transition_type(type: GES.VideoStandardTransitionType): {
        // javascript wrapper for 'ges_video_transition_set_transition_type'
    }

Sets the transition being used to type.

Parameters:

`self` (GES.VideoTransition) –

a GES.VideoTransition

`type` (GES.VideoStandardTransitionType) –

a GES.VideoStandardTransitionType

Returns (Number) –

TRUE if the transition type was properly changed, else FALSE.

#### GES.VideoTransition.set_transition_type

    def GES.VideoTransition.set_transition_type (self, type):
        #python wrapper for 'ges_video_transition_set_transition_type'

Sets the transition being used to type.

Parameters:

`self` (GES.VideoTransition) –

a GES.VideoTransition

`type` (GES.VideoStandardTransitionType) –

a GES.VideoStandardTransitionType

Returns (bool) –

TRUE if the transition type was properly changed, else FALSE.

### Properties

#### border

    “border” guint

This value represents the border width of the transition.

Flags : Read / Write

#### border

    “border” Number

This value represents the border width of the transition.

Flags : Read / Write

#### border

    “self.props.border” int

This value represents the border width of the transition.

Flags : Read / Write

#### invert

    “invert” gboolean

This value represents the direction of the transition.

Flags : Read / Write

deprecated : 1.20: Use ges_timeline_element_[sg]et_child_property instead.

#### invert

    “invert” Number

This value represents the direction of the transition.

Flags : Read / Write

deprecated : 1.20: Use ges_timeline_element_[sg]et_child_property instead.

#### invert

    “self.props.invert” bool

This value represents the direction of the transition.

Flags : Read / Write

deprecated : 1.20: Use ges_timeline_element_[sg]et_child_property instead.

#### transition-type

    “transition-type” GESVideoStandardTransitionType *

Flags : Read / Write

#### transition-type

    “transition-type” GES.VideoStandardTransitionType

Flags : Read / Write

#### transition_type

    “self.props.transition_type” GES.VideoStandardTransitionType

Flags : Read / Write

## Constants

### GES_TYPE_VIDEO_TRANSITION

    #define GES_TYPE_VIDEO_TRANSITION ges_video_transition_get_type()

The results of the search are